class DigicodeModel {
  String? digicodeLabel;
  String? description;
  int? id;
  String? authCode;
  int? unlocked;
  int? activeCamera;
  String? publicName;
  int? productId;
  int? purchasedAt;
  int? warrantyUntil;
  String? productSerial;
  String? statusLabel;
  String? statusColor;
  String? productRef;
  String? pictureUrl;
  String? productCat;
  int? productDisplay;
  String? productColor;
  int? placeId;
  String? utcModifier;
  String? placeCity;
  String? placeLabel;
  double? placeLng;
  double? placeLat;
  String? placeCountry;
  String? placeCountryCode;
  String? placeZip;
  String? placeStreet1;
  String? placeStreet2;
  String? roomId;
  String? roomName;

  DigicodeModel(
      {this.digicodeLabel,
      this.description,
      this.id,
      this.authCode,
      this.unlocked,
      this.activeCamera,
      this.publicName,
      this.productId,
      this.purchasedAt,
      this.warrantyUntil,
      this.productSerial,
      this.statusLabel,
      this.statusColor,
      this.productRef,
      this.pictureUrl,
      this.productCat,
      this.productDisplay,
      this.productColor,
      this.placeId,
      this.utcModifier,
      this.placeCity,
      this.placeLabel,
      this.placeLng,
      this.placeLat,
      this.placeCountry,
      this.placeCountryCode,
      this.placeZip,
      this.placeStreet1,
      this.placeStreet2,
      this.roomId,
      this.roomName});
      
  String address() =>
      ((placeStreet1 ?? '').isNotEmpty ? "$placeStreet1, " : "") +
      ((placeCity ?? '').isNotEmpty ? "$placeCity, " : "") +
      (placeCountry ?? '');

  DigicodeModel.fromJson(Map<String, dynamic> json) {
    if (json["digicodeLabel"] is String)
      this.digicodeLabel = json["digicodeLabel"];
    if (json["description"] is String) this.description = json["description"];
    if (json["id"] is int) this.id = json["id"];
    if (json["authCode"] is String) this.authCode = json["authCode"];
    if (json["unlocked"] is int) this.unlocked = json["unlocked"];
    if (json["activeCamera"] is int) this.activeCamera = json["activeCamera"];
    if (json["publicName"] is String) this.publicName = json["publicName"];
    if (json["productId"] is int) this.productId = json["productId"];
    if (json["purchasedAt"] is int) this.purchasedAt = json["purchasedAt"];
    if (json["warrantyUntil"] is int)
      this.warrantyUntil = json["warrantyUntil"];
    if (json["productSerial"] is String)
      this.productSerial = json["productSerial"];
    if (json["statusLabel"] is String) this.statusLabel = json["statusLabel"];
    if (json["statusColor"] is String) this.statusColor = json["statusColor"];
    if (json["productRef"] is String) this.productRef = json["productRef"];
    if (json["pictureUrl"] is String) this.pictureUrl = json["pictureUrl"];
    if (json["productCat"] is String) this.productCat = json["productCat"];
    if (json["productDisplay"] is int)
      this.productDisplay = json["productDisplay"];
    if (json["productColor"] is String)
      this.productColor = json["productColor"];
    if (json["placeId"] is int) this.placeId = json["placeId"];
    if (json["utcModifier"] is String) this.utcModifier = json["utcModifier"];
    if (json["placeCity"] is String) this.placeCity = json["placeCity"];
    if (json["placeLabel"] is String) this.placeLabel = json["placeLabel"];
    if (json["placeLng"] is double) this.placeLng = json["placeLng"];
    if (json["placeLat"] is double) this.placeLat = json["placeLat"];
    if (json["placeCountry"] is String)
      this.placeCountry = json["placeCountry"];
    if (json["placeCountryCode"] is String)
      this.placeCountryCode = json["placeCountryCode"];
    if (json["placeZip"] is String) this.placeZip = json["placeZip"];
    if (json["placeStreet1"] is String)
      this.placeStreet1 = json["placeStreet1"];
    if (json["placeStreet2"] is String)
      this.placeStreet2 = json["placeStreet2"];
    if (json["roomId"] is String) this.roomId = json["roomId"];
    if (json["roomName"] is String) this.roomName = json["roomName"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["digicodeLabel"] = this.digicodeLabel;
    data["description"] = this.description;
    data["id"] = this.id;
    data["authCode"] = this.authCode;
    data["unlocked"] = this.unlocked;
    data["activeCamera"] = this.activeCamera;
    data["publicName"] = this.publicName;
    data["productId"] = this.productId;
    data["purchasedAt"] = this.purchasedAt;
    data["warrantyUntil"] = this.warrantyUntil;
    data["productSerial"] = this.productSerial;
    data["statusLabel"] = this.statusLabel;
    data["statusColor"] = this.statusColor;
    data["productRef"] = this.productRef;
    data["pictureUrl"] = this.pictureUrl;
    data["productCat"] = this.productCat;
    data["productDisplay"] = this.productDisplay;
    data["productColor"] = this.productColor;
    data["placeId"] = this.placeId;
    data["utcModifier"] = this.utcModifier;
    data["placeCity"] = this.placeCity;
    data["placeLabel"] = this.placeLabel;
    data["placeLng"] = this.placeLng;
    data["placeLat"] = this.placeLat;
    data["placeCountry"] = this.placeCountry;
    data["placeCountryCode"] = this.placeCountryCode;
    data["placeZip"] = this.placeZip;
    data["placeStreet1"] = this.placeStreet1;
    data["placeStreet2"] = this.placeStreet2;
    data["roomId"] = this.roomId;
    data["roomName"] = this.roomName;
    return data;
  }
}
