import '../common/models/file_upload_result.dart';
import 'home_city.dart';

class HomeAgency {
  dynamic id;
  dynamic uuid;
  dynamic slug;
  dynamic label;
  dynamic description;
  dynamic facebook;
  dynamic twitter;
  dynamic instagram;
  dynamic formattedAddress;
  dynamic createdAt;
  dynamic updatedAt;
  dynamic status;
  dynamic ratings;
  FileUploadResult? logo;
  HomeAgencySubscriptionOwner? subscriptionOwner;
  HomeCity? city;

  HomeAgency(
      {this.id,
      this.uuid,
      this.slug,
      this.description,
      this.label,
      this.facebook,
      this.twitter,
      this.instagram,
      this.formattedAddress,
      this.createdAt,
      this.updatedAt,
      this.status,
      this.ratings,
      this.logo,
      this.subscriptionOwner,
      this.city});

  HomeAgency.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    uuid = json["uuid"];
    slug = json["slug"];
    description = json["description"];
    label = json["label"];
    facebook = json["facebook"];
    twitter = json["twitter"];
    instagram = json["instagram"];
    formattedAddress = json["formattedAddress"];
    createdAt = json["createdAt"];
    updatedAt = json["updatedAt"];
    status = json["status"];
    ratings = json["ratings"];
    logo =
        json["logo"] == null ? null : FileUploadResult.fromJson(json["logo"]);
    subscriptionOwner = json["subscriptionOwner"] == null
        ? null
        : HomeAgencySubscriptionOwner.fromJson(json["subscriptionOwner"]);
    city = json["city"] == null ? null : HomeCity.fromJson(json["city"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["uuid"] = uuid;
    _data["slug"] = slug;
    _data["description"] = description;
    _data["label"] = label;
    _data["facebook"] = facebook;
    _data["twitter"] = twitter;
    _data["instagram"] = instagram;
    _data["formattedAddress"] = formattedAddress;
    _data["createdAt"] = createdAt;
    _data["updatedAt"] = updatedAt;
    _data["status"] = status;
    _data["ratings"] = ratings;
    if (logo != null) {
      _data["logo"] = logo?.toJson();
    }
    if (subscriptionOwner != null) {
      _data["subscriptionOwner"] = subscriptionOwner?.toJson();
    }
    if (city != null) {
      _data["city"] = city?.toJson();
    }
    return _data;
  }

  HomeAgency copyWith({
    dynamic id,
    dynamic uuid,
    dynamic slug,
    dynamic description,
    dynamic facebook,
    dynamic twitter,
    dynamic instagram,
    dynamic formattedAddress,
    dynamic createdAt,
    dynamic updatedAt,
    dynamic status,
    dynamic ratings,
    FileUploadResult? logo,
    HomeAgencySubscriptionOwner? subscriptionOwner,
    HomeCity? city,
  }) =>
      HomeAgency(
        id: id ?? this.id,
        uuid: uuid ?? this.uuid,
        slug: slug ?? this.slug,
        description: description ?? this.description,
        facebook: facebook ?? this.facebook,
        twitter: twitter ?? this.twitter,
        instagram: instagram ?? this.instagram,
        formattedAddress: formattedAddress ?? this.formattedAddress,
        createdAt: createdAt ?? this.createdAt,
        updatedAt: updatedAt ?? this.updatedAt,
        status: status ?? this.status,
        ratings: ratings ?? this.ratings,
        logo: logo ?? this.logo,
        subscriptionOwner: subscriptionOwner ?? this.subscriptionOwner,
        city: city ?? this.city,
      );
}
 

class HomeAgencySubscriptionOwner {
  int? id;
  String? displayName;
  String? thumbnail;
  String? firebaseId;
  String? uniqueId;

  HomeAgencySubscriptionOwner(
      {this.id,
      this.displayName,
      this.thumbnail,
      this.firebaseId,
      this.uniqueId});

  HomeAgencySubscriptionOwner.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
    firebaseId = json["firebaseId"];
    uniqueId = json["uniqueId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    _data["firebaseId"] = firebaseId;
    _data["uniqueId"] = uniqueId;
    return _data;
  }

  HomeAgencySubscriptionOwner copyWith({
    int? id,
    String? displayName,
    String? thumbnail,
    String? firebaseId,
    String? uniqueId,
  }) =>
      HomeAgencySubscriptionOwner(
        id: id ?? this.id,
        displayName: displayName ?? this.displayName,
        thumbnail: thumbnail ?? this.thumbnail,
        firebaseId: firebaseId ?? this.firebaseId,
        uniqueId: uniqueId ?? this.uniqueId,
      );
}
