class LoginSession {
  String? id;
  String? ip;
  String? app;
  String? os;
  String? device;
  int? loginAttemptAt;
  int? loginSuccessAt;
  int? allowPrivacyType;
  int? platformId;
  String? platformLabel;
  int? logoutAt;
  int? revokedAt;
  int? logoUrl;

  LoginSession(
      {this.id,
      this.ip,
      this.app,
      this.os,
      this.device,
      this.loginAttemptAt,
      this.loginSuccessAt,
      this.allowPrivacyType,
      this.platformId,
      this.platformLabel,
      this.logoutAt,
      this.revokedAt,
      this.logoUrl});

  LoginSession.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["ip"] is String) this.ip = json["ip"];
    if (json["app"] is String) this.app = json["app"];
    if (json["os"] is String) this.os = json["os"];
    if (json["device"] is String) this.device = json["device"];
    if (json["loginAttemptAt"] is int)
      this.loginAttemptAt = json["loginAttemptAt"];
    if (json["loginSuccessAt"] is int)
      this.loginSuccessAt = json["loginSuccessAt"];
    if (json["allowPrivacyType"] is int)
      this.allowPrivacyType = json["allowPrivacyType"];
    if (json["platformId"] is int) this.platformId = json["platformId"];
    if (json["platformLabel"] is String)
      this.platformLabel = json["platformLabel"];
    if (json["logoutAt"] is int) this.logoutAt = json["logoutAt"];
    if (json["revokedAt"] is int) this.revokedAt = json["revokedAt"];
    if (json["logoUrl"] is int) this.logoUrl = json["logoUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["ip"] = this.ip;
    data["app"] = this.app;
    data["os"] = this.os;
    data["device"] = this.device;
    data["loginAttemptAt"] = this.loginAttemptAt;
    data["loginSuccessAt"] = this.loginSuccessAt;
    data["allowPrivacyType"] = this.allowPrivacyType;
    data["platformId"] = this.platformId;
    data["platformLabel"] = this.platformLabel;
    data["logoutAt"] = this.logoutAt;
    data["revokedAt"] = this.revokedAt;
    data["logoUrl"] = this.logoUrl;
    return data;
  }
}
