import 'dart:developer';

class PeEventModel {
  String? id;
  String? title;
  String? pictureUrl;
  int? datetimeStart;
  int? datetimeStop;
  int? ownerId;
  String? ownerDisplayName;
  List<PEUsers>? users;

  PeEventModel(
      {this.id,
      this.title,
      this.pictureUrl,
      this.datetimeStart,
      this.datetimeStop,
      this.ownerId,
      this.ownerDisplayName,
      this.users});

  PeEventModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) this.id = json["id"];
    if (json["title"] is String) this.title = json["title"];
    if (json["pictureUrl"] is String) this.pictureUrl = json["pictureUrl"];
    if (json["datetimeStart"] is int)
      this.datetimeStart = json["datetimeStart"];
    if (json["datetimeStop"] is int) this.datetimeStop = json["datetimeStop"];
    if (json["ownerId"] is int) this.ownerId = json["ownerId"];
    if (json["ownerdisplayName"] is String)
      this.ownerDisplayName = json["ownerdisplayName"];
    if (json["users"] is List)
      this.users = json["users"] == null
          ? null
          : (json["users"] as List).map((e) => PEUsers.fromJson(e)).toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["title"] = this.title;
    data["pictureUrl"] = this.pictureUrl;
    data["datetimeStart"] = this.datetimeStart;
    data["datetimeStop"] = this.datetimeStop;
    data["ownerId"] = this.ownerId;
    data["ownerdisplayName"] = this.ownerDisplayName;
    if (this.users != null)
      data["users"] = this.users?.map((e) => e.toJson()).toList();
    return data;
  }
}

class PEUsers {
  int? id;
  String? displayName;
  String? thumbnail;

  PEUsers({this.id, this.displayName, this.thumbnail});

  PEUsers.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["displayName"] is String) this.displayName = json["displayName"];
    if (json["thumbnail"] is String) this.thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["displayName"] = this.displayName;
    data["thumbnail"] = this.thumbnail;
    return data;
  }
}
