class MainLink {
  String? mainLinkUrl;
  String? pictureBgUrl;
  String? pictureUrl;
  List<SecondaryLink>? secondaryLink;

  MainLink(
      {this.mainLinkUrl,
      this.pictureBgUrl,
      this.pictureUrl,
      this.secondaryLink});

  MainLink.fromJson(Map<String, dynamic> json) {
    if (json["mainLinkUrl"] is String) {
      mainLinkUrl = json["mainLinkUrl"];
    }
    pictureBgUrl = json["pictureBgUrl"];
    pictureUrl = json["pictureUrl"];
    if (json["secondaryLink"] is List) {
      secondaryLink = json["secondaryLink"] == null
          ? null
          : (json["secondaryLink"] as List)
              .map((e) => SecondaryLink.fromJson(e))
              .toList();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["mainLinkUrl"] = mainLinkUrl;
    _data["pictureBgUrl"] = pictureBgUrl;
    _data["pictureUrl"] = pictureUrl;
    if (secondaryLink != null) {
      _data["secondaryLink"] = secondaryLink?.map((e) => e.toJson()).toList();
    }
    return _data;
  }
}

class SecondaryLink {
  int? id;
  String? label;
  String? secondaryLinkUrl;
  String? pictureUrl;
  int? mainLinkId;
  int? order;
  int? linkTypeId;
  LinkType? linkType;

  SecondaryLink(
      {this.id,
      this.label,
      this.secondaryLinkUrl,
      this.pictureUrl,
      this.mainLinkId,
      this.order,
      this.linkTypeId,
      this.linkType});

  SecondaryLink.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["secondaryLinkUrl"] is String) {
      secondaryLinkUrl = json["secondaryLinkUrl"];
    }
    if (json["pictureUrl"] is String) {
      pictureUrl = json["pictureUrl"];
    }
    if (json["mainLinkId"] is int) {
      mainLinkId = json["mainLinkId"];
    }
    if (json["order"] is int) {
      order = json["order"];
    }
    if (json["linkTypeId"] is int) {
      linkTypeId = json["linkTypeId"];
    }
    if (json["linkType"] is Map) {
      linkType =
          json["linkType"] == null ? null : LinkType.fromJson(json["linkType"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["secondaryLinkUrl"] = secondaryLinkUrl;
    _data["pictureUrl"] = pictureUrl;
    _data["mainLinkId"] = mainLinkId;
    _data["order"] = order;
    _data["linkTypeId"] = linkTypeId;
    if (linkType != null) {
      _data["linkType"] = linkType?.toJson();
    }
    return _data;
  }
}

class LinkType {
  int? id;
  String? label;
  String? pictureUrl;

  LinkType({this.id, this.label, this.pictureUrl});

  LinkType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["pictureUrl"] is String) {
      pictureUrl = json["pictureUrl"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["pictureUrl"] = pictureUrl;
    return _data;
  }
}
