class TheMovieReview {
  String? author;
  AuthorDetails? authorDetails;
  String? content;
  String? createdAt;
  String? id;
  String? updatedAt;
  String? url;

  TheMovieReview(
      {this.author,
      this.authorDetails,
      this.content,
      this.createdAt,
      this.id,
      this.updatedAt,
      this.url});

  TheMovieReview.fromJson(Map<String, dynamic> json) {
    author = json["author"];
    authorDetails = json["author_details"] == null
        ? null
        : AuthorDetails.fromJson(json["author_details"]);
    content = json["content"];
    createdAt = json["created_at"];
    id = json["id"];
    updatedAt = json["updated_at"];
    url = json["url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["author"] = author;
    if (authorDetails != null) {
      _data["author_details"] = authorDetails?.toJson();
    }
    _data["content"] = content;
    _data["created_at"] = createdAt;
    _data["id"] = id;
    _data["updated_at"] = updatedAt;
    _data["url"] = url;
    return _data;
  }

  TheMovieReview copyWith({
    String? author,
    AuthorDetails? authorDetails,
    String? content,
    String? createdAt,
    String? id,
    String? updatedAt,
    String? url,
  }) =>
      TheMovieReview(
        author: author ?? this.author,
        authorDetails: authorDetails ?? this.authorDetails,
        content: content ?? this.content,
        createdAt: createdAt ?? this.createdAt,
        id: id ?? this.id,
        updatedAt: updatedAt ?? this.updatedAt,
        url: url ?? this.url,
      );
}

class AuthorDetails {
  String? name;
  String? username;
  String? avatarPath;
  dynamic rating;

  AuthorDetails({this.name, this.username, this.avatarPath, this.rating});

  AuthorDetails.fromJson(Map<String, dynamic> json) {
    name = json["name"];
    username = json["username"];
    avatarPath = json["avatar_path"];
    rating = json["rating"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["name"] = name;
    _data["username"] = username;
    _data["avatar_path"] = avatarPath;
    _data["rating"] = rating;
    return _data;
  }

  AuthorDetails copyWith({
    String? name,
    String? username,
    String? avatarPath,
    dynamic rating,
  }) =>
      AuthorDetails(
        name: name ?? this.name,
        username: username ?? this.username,
        avatarPath: avatarPath ?? this.avatarPath,
        rating: rating ?? this.rating,
      );
}
