import '../resources.dart';

class PlatformRepo {
  PlatformRepo._();

  static PlatformRepo? _instance;

  factory PlatformRepo([AppApi? api]) {
    _instance ??= PlatformRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<PlatformModel>> getPlatformsList([display]) async {
    NetworkResponse response =
        await _api.getPlatformsList({'display': display ?? 1});
    return response.data ?? [];
  }

  Future<List<PlatformModel>> getPlatformsListDoubleAuth([display]) async {
    NetworkResponse response =
        await _api.getPlatformsListDoubleAuth({'display': display ?? 1});
    return response.data ?? [];
  }

  Future<bool> activateDoubleAuthForPlatform(
      {required platformId, doubleAuthActivated = true}) async {
    NetworkResponse response = await _api.activateDoubleAuthForPlatform({
      'platformId': platformId,
      'doubleAuthActivated': doubleAuthActivated ? 1 : 0
    });
    return response.data ?? false;
  }
}
