import '../resources.dart';

class SecurityRepo {
  SecurityRepo._();

  static SecurityRepo? _instance;

  factory SecurityRepo([AppApi? api]) {
    _instance ??= SecurityRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<LoginSession>> getLoginSessions(params) async {
    NetworkResponse response = await _api.getLoginSessions(params);
    return response.data ?? [];
  }

  Future<LoginSession?> getLoginSessionsById(params) async {
    NetworkResponse response = await _api.getLoginSessionsById(params);
    return response.data;
  }

  Future<bool> revokeLoginSession(params) async {
    NetworkResponse response = await _api.revokeLoginSession(params);
    return response.data ?? false;
  }

  Future<bool> allowPendingLoginOnPlatformByQrCode(params) async {
    NetworkResponse response =
        await _api.allowPendingLoginOnPlatformByQrCode(params);
    return response.data ?? false;
  }

  Future<bool> allowPendingLoginOnPlatformById(params) async {
    NetworkResponse response =
        await _api.allowPendingLoginOnPlatformById(params);
    return response.data ?? false;
  }
}
