import 'package:_private_core/_private_core.dart';
import 'package:_private_core/theme/option_network.dart';

PNetworkOptionsImpl get networkOptions =>
    coreConfig.coreOptions.networkOptions as PNetworkOptionsImpl;

String get appBaseUrl => networkOptions.baseUrl;
String get appBaseUrlAsset => networkOptions.baseUrlAsset;
String? get appBaseUrlGeotracking => networkOptions.baseUrlGeotracking;
String? get appMqttUrl => networkOptions.mqttUrl;
int? get appMqttPort => networkOptions.mqttPort;

class PNetworkOptionsImpl extends PNetworkOptions {
  bool enableSentryWrap;

  @override
  String appImageCorrectUrl(String url, {base}) {
    if (url.trim().indexOf('http') != 0) {
      if ((base ?? baseUrlAsset ?? '').endsWith('/') && url.startsWith('/')) {
        return (base ?? baseUrlAsset ?? '') + url.substring(1);
      }
      return (base ?? baseUrlAsset ?? '') + url;
    }
    return url;
  }

  PNetworkOptionsImpl({
    required super.baseUrl,
    required super.baseUrlAsset,
    super.baseUrlGeotracking,
    super.mqttUrl,
    super.mqttPort,
    this.enableSentryWrap = false,
  });
}
